## rednotebook 2.8

=== win/requirements.txt ===
cefpython3==66.0
pefile==2016.3.28
pyenchant==1.6.8
pyinstaller==3.3.1
pypiwin32==219
PyYAML==3.10
setuptools==19.2
six==1.10.0

## rednotebook 1.1.6

=== debian/changelog ===
rednotebook (1.1.6-1) unstable; urgency=low

  * [411047] New upstream release
  * [a742e3] Remove python-webkit note from package description

 -- Jonathan Wiltshire <jmw@debian.org>  Wed, 01 Jun 2011 20:26:09 +0100

rednotebook (1.1.4-1) unstable; urgency=low

  * [b37d7d] New upstream release
  * [1954fb] Promote python-webkit to a dependency (Closes: #620708)
  * [e91c75] Drop fix-windowpos-crash.patch

 -- Jonathan Wiltshire <jmw@debian.org>  Sun, 10 Apr 2011 13:20:27 +0100

rednotebook (1.1.3-2) unstable; urgency=medium

  * [20a9ed] Convert to source format 3.0 (quilt)
  * [a3adc0] Backport fix for window position crashes (Closes: #619001)
    (LP: #728466)

 -- Jonathan Wiltshire <jmw@debian.org>  Mon, 21 Mar 2011 09:22:51 +0000

rednotebook (1.1.3-1) unstable; urgency=low

  * [8f66e3] New upstream release

 -- Jonathan Wiltshire <jmw@debian.org>  Thu, 03 Mar 2011 00:03:42 +0000

rednotebook (1.1.2-1) unstable; urgency=low

  * [486e10] New upstream release
  * [82dfc1] Add debian/gbp.conf with appropriate settings

 -- Jonathan Wiltshire <jmw@debian.org>  Wed, 29 Dec 2010 01:43:18 +0000

rednotebook (1.1.1-1) unstable; urgency=low

  * [27417e] New upstream release
  * [3518c4] Patch gtk-stock.patch is integrated upstream, remove patch
    logic
  * [2549be] Update my email address and remove DMUA flag
  * [2193e4] Standards version 3.9.1, no changes needed

 -- Jonathan Wiltshire <jmw@debian.org>  Mon, 20 Dec 2010 16:15:02 +0000

rednotebook (1.0.0-2) unstable; urgency=low

  * [e9808c] Enable quilt patch system and add dependency and
    README.source
  * [2968fb] New patch gtk-stock.patch to fix crash when in Turkish
    locale (Closes: #588664) (LP: #555425)
  * [32f521] Standards version 3.9.0 (no changes)
  * [102b43] Remove mention of textlive-latex-extra in the description

 -- Jonathan Wiltshire <debian@jwiltshire.org.uk>  Sun, 11 Jul 2010 00:17:20 +0100

rednotebook (1.0.0-1) unstable; urgency=low

  * [19cb84] New upstream release

 -- Jonathan Wiltshire <debian@jwiltshire.org.uk>  Wed, 23 Jun 2010 20:39:08 +0100

rednotebook (0.9.5-1) unstable; urgency=low

  * [e9f9ea] New upstream release
  * [ec8858] Add Recommends on python-chardet
  * [2f4313] Drop Suggests on texlive-latex-extra

 -- Jonathan Wiltshire <debian@jwiltshire.org.uk>  Thu, 13 May 2010 08:37:21 +0100

rednotebook (0.9.4-1) unstable; urgency=low

  * [ba3a88] New upstream version
  * [41dcc5] Explicitly declare source format 1.0

 -- Jonathan Wiltshire <debian@jwiltshire.org.uk>  Sat, 08 May 2010 19:02:40 +0100

rednotebook (0.9.3-1) unstable; urgency=low

  * [be5b34] New upstream version
  * [418a9c] Update copyright information

 -- Jonathan Wiltshire <debian@jwiltshire.org.uk>  Mon, 15 Mar 2010 18:45:08 +0000

rednotebook (0.9.2-1) unstable; urgency=low

  * [7f1ca2] New upstream version
  * [31f071] Standards version 3.8.4

 -- Jonathan Wiltshire <debian@jwiltshire.org.uk>  Mon, 01 Feb 2010 23:51:40 +0000

rednotebook (0.9.1-1) unstable; urgency=low

  * [ad68eb] New upstream version
  * [99bd30] debian/control: Add recommendation on python-webkit
  * [824087] debian/rednotebook.1: Spelling corrections

 -- Jonathan Wiltshire <debian@jwiltshire.org.uk>  Thu, 14 Jan 2010 19:48:50 +0000

rednotebook (0.9.0-1) unstable; urgency=low

  * [86bb8a] New upstream version:
       - remove .mo files to allow building twice in a row
         (Closes: #560711)
  * [2db025] rednotebook/gui/browser.py: Import with_statement to allow
    compilation with Python 2.5

 -- Jonathan Wiltshire <debian@jwiltshire.org.uk>  Sat, 19 Dec 2009 12:04:48 +0000

rednotebook (0.8.9-1) unstable; urgency=low

  * [9b9498] New upstream version
  * [93093b] Update copyright information
  * [bbd9b2] rednotebook/external/interwibble.py: backport fixes for
    Python 2.5 from interwibble's upstream

 -- Jonathan Wiltshire <debian@jwiltshire.org.uk>  Fri, 04 Dec 2009 13:03:57 +0000

rednotebook (0.8.8-1) unstable; urgency=low

  * [c53002] New upstream version
  * [fb1191] debian/control: recommend python-gtkspell (Closes: #551826)
  * [221152] debian/rednotebok.1: Add -m parameter to manual

 -- Jonathan Wiltshire <debian@jwiltshire.org.uk>  Sat, 24 Oct 2009 16:37:26 +0100

rednotebook (0.8.7-1) unstable; urgency=low

  * [9d33ee] New upstream version

 -- Jonathan Wiltshire <debian@jwiltshire.org.uk>  Sun, 27 Sep 2009 21:07:52 +0100

rednotebook (0.8.6.1-1) unstable; urgency=low

  * [d10aa1] New upstream version
  * [72dd51] Standards version 3.8.3

 -- Jonathan Wiltshire <debian@jwiltshire.org.uk>  Sun, 06 Sep 2009 00:11:49 +0100

rednotebook (0.8.5-1) unstable; urgency=low

  * [df4dcc] New upstream version
  * [5c38bd] Update manual rednotebook.1

 -- Jonathan Wiltshire <debian@jwiltshire.org.uk>  Mon, 31 Aug 2009 10:59:26 +0100

rednotebook (0.8.3-1) unstable; urgency=low

  * New upstream version

 -- Jonathan Wiltshire <debian@jwiltshire.org.uk>  Mon, 10 Aug 2009 17:58:46 +0100

rednotebook (0.8.2-1) unstable; urgency=low

  * [81e7f8] Imported Upstream version 0.8.2

 -- Jonathan Wiltshire <debian@jwiltshire.org.uk>  Wed, 29 Jul 2009 16:26:01 +0100

rednotebook (0.8.1-1) unstable; urgency=low

  * [995049] New upstream version

 -- Jonathan Wiltshire <debian@jwiltshire.org.uk>  Sat, 25 Jul 2009 19:50:27 +0100

rednotebook (0.8.0-1) unstable; urgency=low

  * [79a906] New upstream version
  * [2a5e9b] Add Suggests for texlive-latex-extra to permit PDF output,
    and a hint in the binary package description

 -- Jonathan Wiltshire <debian@jwiltshire.org.uk>  Wed, 22 Jul 2009 09:35:41 +0100

rednotebook (0.7.6-1) unstable; urgency=low

  * [b08360] New upstream release: add an Undo/Redo function (LP: #393277)
  * [be996f] Update debian/copyright

 -- Jonathan Wiltshire <debian@jwiltshire.org.uk>  Wed, 15 Jul 2009 23:56:03 +0100

rednotebook (0.7.5-1) unstable; urgency=low

  [ Jonathan Wiltshire]
  * [960284] New upstream version

  [ Piotr Ożarowski ]
  * DM-Upload-Allowed set to yes



=== debian/control ===
Source: rednotebook
Section: text
Priority: optional
Maintainer: Jonathan Wiltshire <jmw@debian.org>
Build-Depends-Indep: python (>=2.5), python-support (>=0.5.3), debhelper (>= 7)
Standards-Version: 3.9.1
Homepage: http://rednotebook.sourceforge.net/
Vcs-Browser: http://robin.powdarrmonkey.net/cgi-bin/gitweb.cgi?p=rednotebook
Vcs-Git: git://robin.powdarrmonkey.net/git/rednotebook/

Package: rednotebook
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-yaml (>=3.05), python-gtk2 (>=2.12), python-glade2, python-gobject (>= 2.14.2), python-webkit
Recommends: python-gtkspell, python-chardet
Description: daily journal with calendar, templates and keyword searching
 RedNotebook is a graphical diary and journal to keep track of notes and
 thoughts throughout the day. It includes a calendar navigation, customisable
 templates for each day, and a keyword search and cloud.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

install: install-stamp
install-stamp: 
	dh install --before dh_auto_install
	# install into a private directory
	python setup.py install --root=$(CURDIR)/debian/rednotebook \
		--install-lib=/usr/share/rednotebook \
		--install-scripts=/usr/bin \
		--install-data=/usr
	# "--install-scripts=/usr/share/rednotebook" will not work here
	# as binary name is the same as module name
	mv $(CURDIR)/debian/rednotebook/usr/bin/rednotebook \
		$(CURDIR)/debian/rednotebook/usr/share/rednotebook/run.py

	#carry on
	dh install --after dh_auto_install
	touch install-stamp

binary: binary-indep

binary-indep: install

%:
	dh $@

## rednotebook 1.1.8

=== debian/changelog ===
rednotebook (1.1.8-1) unstable; urgency=medium

  * [46afeb] New upstream release - fix for data loss on invalid files
  * [0a80fe] Standards version 3.9.2 (no changes)
  * [64019b] Use system copy of elib.intl module
  * [409664] Update debian/copyright

 -- Jonathan Wiltshire <jmw@debian.org>  Tue, 09 Aug 2011 19:55:32 +0100

## rednotebook 1.2.0

=== debian/changelog ===
rednotebook (1.2.0-1) unstable; urgency=low

  * [afafd9] New upstream release

 -- Jonathan Wiltshire <jmw@debian.org>  Tue, 10 Jan 2012 18:52:09 +0000

## rednotebook 1.3.0

=== debian/changelog ===
rednotebook (1.3.0-1) unstable; urgency=low

  * [955d7b] New upstream release

 -- Jonathan Wiltshire <jmw@debian.org>  Mon, 27 Feb 2012 20:16:52 +0000

=== debian/control ===
Source: rednotebook
Section: text
Priority: optional
Maintainer: Jonathan Wiltshire <jmw@debian.org>
Build-Depends-Indep: python (>=2.5), python-support (>=0.5.3), debhelper (>= 7)
Standards-Version: 3.9.2
Homepage: http://rednotebook.sourceforge.net/
Vcs-Browser: http://robin.powdarrmonkey.net/cgi-bin/gitweb.cgi?p=rednotebook
Vcs-Git: git://robin.powdarrmonkey.net/git/rednotebook/

Package: rednotebook
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-yaml (>=3.05), python-gtk2 (>=2.12), python-glade2, python-gobject (>= 2.14.2), python-webkit, python-elib.intl
Recommends: python-gtkspell, python-chardet
Description: daily journal with calendar, templates and keyword searching
 RedNotebook is a graphical diary and journal to keep track of notes and
 thoughts throughout the day. It includes a calendar navigation, customisable
 templates for each day, and a keyword search and cloud.

## rednotebook 1.4.0

=== debian/changelog ===
rednotebook (1.4.0-1) unstable; urgency=low

  * [701e5a] New upstream release
  * [823106] Update copyright information
  * [b8cebe] Standards-version 3.9.3 (no changes)

 -- Jonathan Wiltshire <jmw@debian.org>  Thu, 05 Apr 2012 22:25:33 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Jonathan Wiltshire <jmw@debian.org>
 Build-Depends-Indep: python (>=2.5), python-support (>=0.5.3), debhelper (>= 7)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://rednotebook.sourceforge.net/
 Vcs-Browser: http://robin.powdarrmonkey.net/cgi-bin/gitweb.cgi?p=rednotebook
 Vcs-Git: git://robin.powdarrmonkey.net/git/rednotebook/

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 	# as binary name is the same as module name
 	mv $(CURDIR)/debian/rednotebook/usr/bin/rednotebook \
 		$(CURDIR)/debian/rednotebook/usr/share/rednotebook/run.py
-
+	rm -f $(CURDIR)/debian/rednotebook/usr/share/rednotebook/rednotebook/external/elibintl.*
 	#carry on
 	dh install --after dh_auto_install
 	touch install-stamp

=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

http://sf.net/rednotebook/rednotebook-(.*)\.tar\.gz

## rednotebook 1.8.1

=== debian/changelog ===
rednotebook (1.8.1-1) unstable; urgency=medium

  * [1d6ccb] New upstream release (LP: #834473, #1068655, #1098625,
    LP: #1131412, #1137925, #1195759)
  * [0a168b] Refresh use-system-elib.intl.patch
  * [02d214] Convert to dh_python2 and use override_* targets
  * [e75f53] Standards version 3.9.6 (no changes)
  * [2e6f5e] Update debian/copyright
  * [a832d9] New patch desktop-keywords.patch: add keywords to
    rednotebook.desktop

 -- Jonathan Wiltshire <jmw@debian.org>  Sun, 26 Oct 2014 17:43:14 +0000

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: text
 Priority: optional
 Maintainer: Jonathan Wiltshire <jmw@debian.org>
-Build-Depends-Indep: python (>=2.5), python-support (>=0.5.3), debhelper (>= 7)
-Standards-Version: 3.9.3
+Build-Depends-Indep: python (>=2.5), debhelper (>= 7)
+Standards-Version: 3.9.6
 Homepage: http://rednotebook.sourceforge.net/
 Vcs-Browser: http://robin.powdarrmonkey.net/cgi-bin/gitweb.cgi?p=rednotebook
 Vcs-Git: git://robin.powdarrmonkey.net/git/rednotebook/

## rednotebook 1.10.1

=== debian/changelog ===
rednotebook (1.10.1-1) unstable; urgency=medium

  * [228f55] New upstream release (LP: #1331876, #1324126, #1400356,
    LP: #1443818, #1414603, #1267263, #1430697, #1326606)
  * [47fba7] Build-depend on dh-python

 -- Jonathan Wiltshire <jmw@debian.org>  Mon, 04 May 2015 17:39:21 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: text
 Priority: optional
 Maintainer: Jonathan Wiltshire <jmw@debian.org>
-Build-Depends-Indep: python (>=2.5), debhelper (>= 7)
+Build-Depends-Indep: python (>=2.5), debhelper (>= 7), dh-python
 Standards-Version: 3.9.6
 Homepage: http://rednotebook.sourceforge.net/
 Vcs-Browser: http://robin.powdarrmonkey.net/cgi-bin/gitweb.cgi?p=rednotebook

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

override_dh_auto_install:
	# install into a private directory
	python setup.py install --root=$(CURDIR)/debian/rednotebook \
		--install-lib=/usr/share/rednotebook \
		--install-scripts=/usr/bin \
		--install-data=/usr
	# "--install-scripts=/usr/share/rednotebook" will not work here
	# as binary name is the same as module name
	mv $(CURDIR)/debian/rednotebook/usr/bin/rednotebook \
		$(CURDIR)/debian/rednotebook/usr/share/rednotebook/run.py
	rm -f $(CURDIR)/debian/rednotebook/usr/share/rednotebook/rednotebook/external/elibintl.*

%:
	dh $@ --with python2

## rednotebook 1.12

=== debian/changelog ===
rednotebook (1.12-1mx150+1) mx; urgency=medium

  * Repackaged for MX 15.

 -- Mike Purtell <mandbx@sbcglobal.net>  Wed, 30 Mar 2016 14:44:59 -0700

rednotebook (1.12-1~getdeb1) trusty; urgency=medium

  * New upstream version
    * Add option to hide right-hand tags pane (thanks Ron Brown, Jr.).
    * Never overwrite externally changed month files (thanks Felix
    Zörgiebel).
    * Remove support for Python 2.6.

 -- Christoph Korn <christoph.korn@getdeb.net>  Mon, 28 Mar 2016 21:13:17 +0200

rednotebook (1.11-1~getdeb1) trusty; urgency=medium

  * New upstream version
    * Remind users to make new backup if last backup is older than a month.
    * When inserting a link for a selected text passage, replace text
    passage.

 -- Christoph Korn <christoph.korn@getdeb.net>  Sat, 14 Nov 2015 20:49:57 +0100

rednotebook (1.10.4-1~getdeb1) trusty; urgency=medium

  * New upstream version
    * Fix right-clicking cloud words to hide them.

 -- Christoph Korn <christoph.korn@getdeb.net>  Mon, 19 Oct 2015 19:48:22 +0200

rednotebook (1.10.3-1~getdeb1) trusty; urgency=medium

  * New upstream version
    * Make #hashtags regular expression faster (up to 1000x).

 -- Christoph Korn <christoph.korn@getdeb.net>  Thu, 15 Oct 2015 20:19:50 +0200

rednotebook (1.10.2-1~getdeb1) trusty; urgency=medium

  * New upstream version
    * Fix Chinese fonts in preview mode on Windows by using the fonts mingliu
    and MS Mincho (thanks Amos Ng).
    * Fix instructions for running RedNotebook on Windows (thanks Amos Ng).
    * Move repository from launchpad to github.

 -- Christoph Korn <christoph.korn@getdeb.net>  Fri, 28 Aug 2015 21:24:50 +0200

rednotebook (1.10.1-1~getdeb1) trusty; urgency=medium

  * New upstream version
    * When undoing a formatting action, only remove formatting, not the text
    (lp:1326606).
    * Fix searching with enter for text with non-ASCII characters
    (lp:1430697).
    * Fix filtering exports by tags containing non-ASCII characters
    (lp:1267263).
    * Don't remove whitespace from old-style tags in autocomplete box
    (lp:1414603).
    * Don't try to change spellchecking language if spellchecker is not set
    up (lp:1443818).
    * Don't try to access files with wrong encoding (lp:1443818).

 -- Christoph Korn <christoph.korn@getdeb.net>  Wed, 15 Apr 2015 20:11:52 +0200

rednotebook (1.10-1~getdeb1) trusty; urgency=medium

  * New upstream version
    * Write data to temporary files first to prevent corrupted month files.
    * Add format button for monospace font. Automatically add the correct
    format for code blocks.
    * Show warning for dates before 1900 (not supported by Python's datetime
    module).
    * Fix undo/redo.
    * Don't add unneeded newlines around titles and code.

 -- Christoph Korn <christoph.korn@getdeb.net>  Sun, 12 Apr 2015 15:34:24 +0200

rednotebook (1.9.0-1~getdeb1) trusty; urgency=medium

  * New upstream version
    * Add #tags to cloud ignore list to remove them from the tag cloud
    (thanks Przemysław Buczkowski).
    * Remove option to start RedNotebook minimized.
    * Do not remove menu bar in fullscreen mode (lp:1400356).
    * Allow exiting fullscreen mode with ESC key.
    * Only allow comment signs (#) at the beginning of a line in the config
    file.
    * Fix reading configuration files.

 -- Christoph Korn <christoph.korn@getdeb.net>  Sat, 27 Dec 2014 21:50:16 +0100

rednotebook (1.8.1-1~getdeb1) trusty; urgency=medium

  * New upstream version
    * Do not show new version dialog if latest version cannot be determined
    (lp:1324126).
    * Fix date formatting for invalid locale encodings.
    * Add necessary library files for spell-checking on Windows (lp:1331876).

 -- Christoph Korn <christoph.korn@getdeb.net>  Sun, 03 Aug 2014 23:48:28 +0200

rednotebook (1.8.0-1~getdeb1) precise; urgency=low

  * New upstream version
    * Add font selection for edit mode (Philip Akesson).
    * Allow changing preview and cloud font in preferences.
    * Only allow opening RedNotebook minimized on Windows since other systems
    may lack a system tray.
    * Fix: Display tags starting with "SEP" in preview (lp:1255582).
    * Write scripts to cross-compile RedNotebook Windows exe and installer on
    Linux.

 -- Christoph Korn <christoph.korn@getdeb.net>  Fri, 13 Dec 2013 18:59:47 +0100

rednotebook (1.7.3-1~getdeb1) precise; urgency=low

  * New upstream version
    * Jump to a specific date on startup with "--date 2013-10-31" on the
    commandline (Rob Norris).
    * Display current date in the title bar (Rob Norris).
    * Support inserting multiple pictures in one step.
    * Add DejaVu Sans as font fallback for clouds and preview.
    * Fix setting last image directory for insert dialog.
    * Only allow exporting selected text if we are in edit mode (lp:1221792).

 -- Christoph Korn <christoph.korn@getdeb.net>  Mon, 11 Nov 2013 19:13:57 +0100

rednotebook (1.7.2-1~getdeb1) precise; urgency=low

  * New upstream version
    * Show error if saving fails due to a directory not being created.
    * Ignore hashtags starting with more than one #.
    * Fix: Allow inserting files and pictures from the "recently used"
    section (lp:1195759).

 -- Christoph Korn <christoph.korn@getdeb.net>  Sat, 29 Jun 2013 15:49:18 +0200

rednotebook (1.7.1-1~getdeb1) precise; urgency=low

  * New upstream version
    * Fix: Insert spellchecking correction in the correct position
           (LP:1137925).

 -- Christoph Korn <christoph.korn@getdeb.net>  Sat, 02 Mar 2013 14:23:17 +0100

rednotebook (1.7.0-1~getdeb1) precise; urgency=low

  * New upstream version
    * Allow filtering exported days by tags (Alistair Marshall).
    * Add option to export only the currently selected text
      (Alistair Marshall).
    * Move spellcheck option from preferences to edit menu
      and add F7 shortcut (Alistair Marshall).
    * Enable spellchecking on Windows. See help for adding
      custom dictionaries.
    * Better error message for invalid markup.


=== debian/control ===
Source: rednotebook
Section: text
Priority: optional
Maintainer: Mike Purtell (mmikeinsantarosa) <maintainer@mepiscommunity.org>
XSBC-Original-Maintainer: GetDeb Package Ninjas <package.ninjas@getdeb.net>
Build-Depends-Indep: python (>=2.5),
                     debhelper (>= 9),
                     dh-python
Standards-Version: 3.9.5
Homepage: http://rednotebook.sourceforge.net/

Package: rednotebook
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends},
         python-yaml (>=3.05),
         python-gtk2 (>=2.12),
         python-glade2,
         python-gobject (>= 2.14.2),
         python-webkit,
         python-elib.intl,
         python-rsvg
Recommends: python-gtkspell, python-chardet
Description: daily journal with calendar, templates and keyword searching
 RedNotebook is a graphical diary and journal to keep track of notes and
 thoughts throughout the day. It includes a calendar navigation, customisable
 templates for each day, and a keyword search and cloud.

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,6 @@
 #!/usr/bin/make -f
-# -*- makefile -*-
-
-# Uncomment this to turn on verbose mode.
-#export DH_VERBOSE=1
+%:
+	dh $@ --with python2
 
 override_dh_auto_install:
 	# install into a private directory
@@ -16,5 +14,5 @@
 		$(CURDIR)/debian/rednotebook/usr/share/rednotebook/run.py
 	rm -f $(CURDIR)/debian/rednotebook/usr/share/rednotebook/rednotebook/external/elibintl.*
 
-%:
-	dh $@ --with python2
+override_dh_installchangelogs:
+	dh_installchangelogs CHANGELOG

=== debian/watch ===
version=3
https://github.com/jendrikseipp/rednotebook/releases \
    (?:.*/)?archive/v([\d\.]+)\.tar\.gz

## rednotebook 2.8

=== debian/changelog ===
rednotebook (2.8-1~mx17) mx; urgency=low

  * Rebuild for MX-17

 -- Timothy E. Harris <maintainer@mxrepo.com>  Mon, 26 Nov 2018 12:31:46 -0500

rednotebook (2.8-1) UNRELEASED; urgency=low

  * New upstream release
  * Support internal previews on Windows again (#369).

 -- Jendrik Seipp <jendrikseipp@web.de>  Thu, 15 Nov 2018 10:08:31 +0100

rednotebook (2.7.1-1) UNRELEASED; urgency=low

  * New upstream release
  * Never let search phrases end up in the main text field (fixes #401).
  * Fix spell checking (fixes #412).

 -- Jendrik Seipp <jendrikseipp@web.de>  Tue, 13 Nov 2018 00:44:42 +0100

rednotebook (2.7-1) UNRELEASED; urgency=low

  * New upstream release
  * Use GtkSourceView for editor to obtain better undo/redo functionality (thanks @takluyver).
  * When saving, update the list of tags in the auto-complete list for the search.
  * Fix opening RedNotebook homepage from About dialog (#411).

 -- Jendrik Seipp <jendrikseipp@web.de>  Tue, 06 Nov 2018 14:35:15 +0100

rednotebook (2.6.1-1) UNRELEASED; urgency=low

  * New upstream release
  * Fix bug preventing new installations from starting up.

 -- Jendrik Seipp <jendrikseipp@web.de>  Tue, 21 Aug 2018 00:08:44 +0200

rednotebook (2.6-1) UNRELEASED; urgency=low

  * New upstream release
  * Move date format option to preferences dialog.
  * Use date format option for date in titlebar.
  * Remember selected date format for exports between sessions.
  * Check remote info.py file for latest version number.
  * Check for latest version in separate thread.

 -- Jendrik Seipp <jendrikseipp@web.de>  Mon, 20 Aug 2018 23:43:10 +0200

rednotebook (2.5-1) UNRELEASED; urgency=low

  * New upstream release
  * Restore instant search (search as you type).
  * Add option for disabling instant search to preferences dialog.
  * Disable undo/redo buttons in preview mode (fixes #103).
  * Remove option to show/hide right-side tags panel from GUI (still present in configuration file).

 -- Jendrik Seipp <jendrikseipp@web.de>  Fri, 08 Jun 2018 19:34:39 +0200

rednotebook (2.4-1) UNRELEASED; urgency=low

  * New upstream release
  * Make search significantly faster by indexing all days.
  * Allow searching for multiple words.
  * Add AppVersion to InnoSetup file.
  * Homepage: Switch to HTTPS.

 -- Jendrik Seipp <jendrikseipp@web.de>  Wed, 07 Mar 2018 19:20:00 +0100

rednotebook (2.3-1) UNRELEASED; urgency=low

  * New upstream release
  * Compress backups.
  * Use newer txt2tags version 2.6 and reapply changes to obtain a GPL-2+ version.
  * Remove brittle PDF export. Please export to HTML and print to PDF with browser instead.
  * Remove intro page from export wizard.
  * Fix: image files were not found on Windows and Mac OS.
  * Print peak memory usage on Linux when program exits.
  * Hide tags panel completely by default instead of only minimizing it.
  * Update Debian files (@kathenas).

 -- Jendrik Seipp <jendrikseipp@web.de>  Mon, 25 Sep 2017 13:12:21 +0200

rednotebook (2.2-1) UNRELEASED; urgency=low

  * New upstream release
  * Port RedNotebook 2 to Windows.
  * Windows: uninstall old version before installing new version to remove old files.
  * Windows: use Aspell for spell checking.
  * Update Debian files (@kathenas).

 -- Jendrik Seipp <jendrikseipp@web.de>  Fri, 08 Sep 2017 19:52:14 +0200

rednotebook (2.1.5-1) UNRELEASED; urgency=low

  * New upstream release
  * Fix debian/control.

 -- Jendrik Seipp <jendrikseipp@web.de>  Wed, 09 Aug 2017 22:43:14 +0200

rednotebook (2.1.4-1) UNRELEASED; urgency=low

  * New upstream release
  * Use old names for appdata and desktop files.

 -- Jendrik Seipp <jendrikseipp@web.de>  Tue, 08 Aug 2017 14:33:49 +0200

rednotebook (2.1.3-1) UNRELEASED; urgency=low

  * New upstream release
  * Fix creating translation files.

 -- Jendrik Seipp <jendrikseipp@web.de>  Sun, 06 Aug 2017 14:20:02 +0200

rednotebook (2.1.2-1) UNRELEASED; urgency=low

  * New upstream release
  * Fix "Exec" field in .desktop file.

 -- Jendrik Seipp <jendrikseipp@web.de>  Thu, 03 Aug 2017 00:35:04 +0200

rednotebook (2.1.1-1) UNRELEASED; urgency=low

  * New upstream release
  * Reset package name to 'rednotebook'.

 -- Jendrik Seipp <jendrikseipp@web.de>  Wed, 02 Aug 2017 18:34:14 +0200

rednotebook (2.1-1) UNRELEASED; urgency=low

  * New upstream release
  * Make webkit optional (but highly recommended). If missing, show preview in external browser.
  * Support inserting SVG images.
  * Don't switch between edit and review mode automatically by default.

 -- Jendrik Seipp <jendrikseipp@web.de>  Sat, 29 Jul 2017 11:54:30 +0200

rednotebook (2.0-1) UNRELEASED; urgency=low

  * New upstream release
  * Port to Python 3 and GTK 3.
  * Add index of tags to LaTeX export (#324, thanks Alex Schickedanz).
  * Use new CDN link for MathJax.

 -- Jendrik Seipp <jendrikseipp@web.de>  Fri, 19 May 2017 22:42:54 +0200

rednotebook (1.15-1) UNRELEASED; urgency=low

  * New upstream release
  * Bundle pygtkspellcheck 4.0.5 since earlier versions contain a bug (lp:1615629).
  * Fix toggling autostart (lp:1628497).
  * Set system tray icon name (lp:1660129).

 -- Jendrik Seipp <jendrikseipp@web.de>  Sat, 11 Feb 2017 16:13:49 +0100

rednotebook (1.14-1) UNRELEASED; urgency=low

  * New upstream release
  * Use new pygtkspellcheck API (lp:1592727).
  * Fix conversion from old single "Tags" category to new tags format.

 -- Jendrik Seipp <jendrikseipp@web.de>  Mon, 26 Sep 2016 15:27:46 +0200

rednotebook (1.13-1) UNRELEASED; urgency=low

  * New upstream release
  * When selecting a journal directory, show all journal directories by default (thanks Paul Jackson).
  * Allow ampersands in e-mail addresses (lp:1570476, thanks pdofak).
  * python-gtkspell has been renamed to python-gtkspellcheck. Update docs and debian/control accordingly.

 -- Jendrik Seipp <jendrikseipp@web.de>  Fri, 17 Jun 2016 19:16:29 +0100

rednotebook (1.12-1) UNRELEASED; urgency=low

  * New upstream release
  * Add option to hide right-hand tags pane (thanks Ron Brown, Jr.).


## rednotebook 2.21

=== debian/changelog ===
rednotebook (2.21-1~mx19+1) mx; urgency=low

  * Rebuild for MX Linux.
  * Make python3-enchant a dependency for MX packages.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 09 Dec 2020 10:04:02 -0800

rednotebook (2.21-1) UNRELEASED; urgency=low

  * New upstream release
  * Update MathJax to version 3 (#515, @dgcampea).
  * Fix date references in CEF-based HtmlView (#544, Paweł Żukowski).

 -- Jendrik Seipp <jendrikseipp@web.de>  Mon, 07 Dec 2020 09:45:53 +0100

rednotebook (2.20-1) UNRELEASED; urgency=low

  * New upstream release
  * Fix drag and drop (#492, @dgcampea).
  * Fix external previews (Eric Chazan).
  * Document how to change the theme on Windows (#487, Ankur A. Sharma).
  * Allow symlinking to `./run` script (#509).

 -- Jendrik Seipp <jendrikseipp@web.de>  Mon, 03 Aug 2020 01:12:55 +0200

rednotebook (2.19-1) UNRELEASED; urgency=low

  * New upstream release
  * Reload GTK theme colors when saving the journal (#485).
  * Don't use dark mode for exported HTML files (#486).
  * Use PNG version instead of SVG for RedNotebook icons to avoid problems on macOS.
  * Use GitHub actions for continuous integration testing.

 -- Jendrik Seipp <jendrikseipp@web.de>  Mon, 04 May 2020 11:33:31 +0200

rednotebook (2.18-1) UNRELEASED; urgency=low

  * New upstream release
  * Use background and foreground colors from GTK theme for HTML preview.

 -- Jendrik Seipp <jendrikseipp@web.de>  Sat, 29 Feb 2020 20:48:35 +0100

rednotebook (2.17-1) UNRELEASED; urgency=low

  * New upstream release
  * Fix HTML colors for dark themes (#474).

 -- Jendrik Seipp <jendrikseipp@web.de>  Sun, 23 Feb 2020 18:30:10 +0100

rednotebook (2.16-1) UNRELEASED; urgency=low

  * New upstream release
  * Add menu items for adding titles (#464, Paweł Żukowski).
  * Upgrade msgfmt.py to version 1.2 (#470).

 -- Jendrik Seipp <jendrikseipp@web.de>  Thu, 23 Jan 2020 12:47:52 +0100

rednotebook (2.15-1) UNRELEASED; urgency=low

  * New upstream release
  * Fix tray icon on Windows (#394).

 -- Jendrik Seipp <jendrikseipp@web.de>  Wed, 04 Dec 2019 09:23:09 +0100

rednotebook (2.14-1) UNRELEASED; urgency=low

  * New upstream release
  * Support entry reference links in exported HTML (#452, Paweł Żukowski).
  * Add support for dark themes to cloud panel (#438).

 -- Jendrik Seipp <jendrikseipp@web.de>  Sun, 17 Nov 2019 21:50:54 +0100

rednotebook (2.13-1) UNRELEASED; urgency=low

  * New upstream release
  * Change unnamed date references from 2019-11-06 to [2019-11-06] (#458, #460, Paweł Żukowski).
  * Add option for controlling number of displayed tags (#456, Paweł Żukowski).
  * Fix setting maximum number of displayed tags (#461).

 -- Jendrik Seipp <jendrikseipp@web.de>  Thu, 07 Nov 2019 12:05:17 +0100

rednotebook (2.12-1) UNRELEASED; urgency=low

  * New upstream release
  * Allow linking between days with dates like 2019-02-14 and [named links 2019-02-14] (#176, #444, Paweł Żukowski).
  * Allow opening statistics dialog multiple times in one session (#370, #457, Paweł Żukowski).
  * Warn about outdated backups every week by default.
  * Increase default width of left panel to ensure that the calendar is fully visible (#376).

 -- Jendrik Seipp <jendrikseipp@web.de>  Sat, 02 Nov 2019 09:57:13 +0100

rednotebook (2.11.1-1) UNRELEASED; urgency=low

  * New upstream release
  * Always initialize spell checking whenever we switch text buffers (fixes #435).

 -- Jendrik Seipp <jendrikseipp@web.de>  Sun, 07 Apr 2019 13:24:38 +0200

rednotebook (2.11-1) UNRELEASED; urgency=low

  * New upstream release
  * Revert to GTK 3.18 stack on Windows (fixes #429 and #430).

 -- Jendrik Seipp <jendrikseipp@web.de>  Tue, 26 Mar 2019 20:02:05 +0100

rednotebook (2.10-1) UNRELEASED; urgency=low

  * New upstream release
  * Automatically push newest version to flathub.

 -- Jendrik Seipp <jendrikseipp@web.de>  Sun, 24 Mar 2019 14:22:14 +0100

rednotebook (2.9.1-1) UNRELEASED; urgency=low

  * New upstream release
  * Disable internal preview on Windows again since it sometimes crashes the app.

 -- Jendrik Seipp <jendrikseipp@web.de>  Wed, 20 Mar 2019 15:17:59 +0100

rednotebook (2.9-1) UNRELEASED; urgency=low

  * New upstream release
  * Use Python 3.6 and GTK 3.22 on Windows.
  * Build Windows installer with Appveyor.

 -- Jendrik Seipp <jendrikseipp@web.de>  Sun, 17 Mar 2019 23:56:00 +0100

rednotebook (2.8.1-1) UNRELEASED; urgency=low

  * New upstream release
  * Load the correct template for a given weekday (fixes #416).
  * Clear text buffers when opening a new journal (fixes #421).
  * Minor bug fixes.

 -- Jendrik Seipp <jendrikseipp@web.de>  Sun, 17 Mar 2019 16:59:42 +0100

=== debian/control ===
Source: rednotebook
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Maintainer: Jendrik Seipp <jendrikseipp@gmail.com>
Section: text
Priority: optional
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://rednotebook.app
Vcs-Git: https://github.com/jendrikseipp/rednotebook.git
Vcs-Browser: https://github.com/jendrikseipp/rednotebook
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3

Package: rednotebook
Architecture: all
Depends: gir1.2-gdkpixbuf-2.0,
         gir1.2-glib-2.0,
         gir1.2-gtk-3.0,
         gir1.2-gtksource-3.0,
         gir1.2-pango-1.0,
         gir1.2-webkit2-4.0,
         python3-gi,
         python3-yaml,
         ${misc:Depends},
         ${python3:Depends},
# Recommends: python3-enchant   # make a dependency for MX Linux
         python3-enchant
Description: modern desktop diary and personal journaling tool
 It lets you format, tag and search your entries. You can also add pictures,
 links and customisable templates, spell check your notes, and export to plain
 text, HTML, LaTeX or PDF.

## rednotebook 2.21+ds

=== win/requirements.txt ===
cefpython3==66.0
pyenchant==2.0.0
pefile==2018.8.8
pyinstaller==3.4
pypiwin32==219
PyYAML==3.13
setuptools==40.6.2
six==1.11.0

=== debian/changelog ===
rednotebook (2.21+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.21.
  * Update standards-version to 4.5.1 - No changes required.

 -- Phil Wyett <philip.wyett@kathenas.org>  Tue, 15 Dec 2020 08:46:02 +0000

rednotebook (2.20+ds-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No-change rebuild.

 -- Adam Borowski <kilobyte@angband.pl>  Sat, 31 Oct 2020 18:52:35 +0100

rednotebook (2.20+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.20.
  * Reintroduction to debian - ITP. (Closes: #970204)

 -- Phil Wyett <philip.wyett@kathenas.org>  Sat, 12 Sep 2020 20:48:21 +0100

=== debian/control ===
Source: rednotebook
Maintainer: Jendrik Seipp <jendrikseipp@gmail.com>
Section: text
Priority: optional
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://rednotebook.app
Vcs-Git: https://github.com/jendrikseipp/rednotebook.git
Vcs-Browser: https://github.com/jendrikseipp/rednotebook
Build-Depends: debhelper-compat (= 13),
               python3,
               dh-python

Package: rednotebook
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         gir1.2-gdkpixbuf-2.0,
         gir1.2-glib-2.0,
         gir1.2-gtk-3.0,
         gir1.2-gtksource-3.0,
         gir1.2-pango-1.0,
         gir1.2-webkit2-4.0,
         python3-gi,
         python3-yaml
Recommends: python3-enchant
Description: Modern desktop diary and personal journaling tool
 It lets you format, tag and search your entries. You can also add pictures,
 links and customisable templates, spell check your notes, and export to plain
 text, HTML, LaTeX or PDF.

## rednotebook 2.22%2Bds

=== debian/changelog ===
rednotebook (2.22+ds-3~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Phil Wyett <philip.wyett@kathenas.org>  Sat, 30 Oct 2021 06:56:30 +0100

rednotebook (2.22+ds-3) unstable; urgency=medium

  * Add upstream patches:
    - 001-prevent-main-window-crash-cf2970e-no-changelog.patch
    - 002-workaround-save-fail-on-cloud-drives-754a821-no-changelog.patch
  * Update standards-version to 4.6.0.1 - No changes required.
  * Add upstream contact to d/copyright.

 -- Phil Wyett <philip.wyett@kathenas.org>  Sat, 23 Oct 2021 00:04:09 +0100

rednotebook (2.22+ds-2) unstable; urgency=medium

  * Upload for unstable.
  * Change maintainer to myself.

 -- Phil Wyett <philip.wyett@kathenas.org>  Sun, 17 Oct 2021 08:26:39 +0100

rednotebook (2.22+ds-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 2.22.

 -- Phil Wyett <philip.wyett@kathenas.org>  Sun, 25 Apr 2021 21:22:38 +0100

## rednotebook 2.22+ds

=== debian/changelog ===
rednotebook (2.22+ds-3~mx21+1) mx; urgency=medium

  * Initial packaging of upstream backports release for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Wed, 24 Nov 2021 23:28:33 -0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: rednotebook
-Maintainer: Jendrik Seipp <jendrikseipp@gmail.com>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Phil Wyett <philip.wyett@kathenas.org>
 Section: text
 Priority: optional
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0.1
 Rules-Requires-Root: no
 Homepage: https://rednotebook.app
 Vcs-Git: https://github.com/jendrikseipp/rednotebook.git

## rednotebook 2.24+ds

=== win/requirements.txt ===
cefpython3==66.0
pyenchant==2.0.0
pefile==2018.8.8
pyinstaller==3.4
pypiwin32==219
pyyaml==5.3.1
setuptools==40.6.2
six==1.11.0

=== debian/changelog ===
rednotebook (2.24+ds-1) unstable; urgency=medium

  * New upstream release 2.24.

 -- Phil Wyett <philip.wyett@kathenas.org>  Mon, 21 Feb 2022 18:29:03 +0000

rednotebook (2.23+ds-1) unstable; urgency=medium

  * New upstream version 2.23.
  * Drop/Delete patches as unneeded.

 -- Phil Wyett <philip.wyett@kathenas.org>  Sun, 13 Feb 2022 21:34:09 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: rednotebook
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Phil Wyett <philip.wyett@kathenas.org>
+Maintainer: Phil Wyett <philip.wyett@kathenas.org>
 Section: text
 Priority: optional
 Standards-Version: 4.6.0.1

=== debian/watch ===
# See uscan(1) for format.

# Compulsory line, this is a version 4 file.
version=4

opts="repacksuffix=+ds,,dversionmangle=s/\+ds//,repack,compression=gz, \
  filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%rednotebook-$1.tar.gz%" \
  https://github.com/jendrikseipp/rednotebook/tags \
  (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## rednotebook 2.25+ds

=== debian/changelog ===
rednotebook (2.25+ds-1) unstable; urgency=medium

  * New upstream release 2.25.
  * Update standards-version to 4.6.1.0 - No changes required.

 -- Phil Wyett <philip.wyett@kathenas.org>  Mon, 16 May 2022 12:35:19 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Phil Wyett <philip.wyett@kathenas.org>
 Section: text
 Priority: optional
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.1.0
 Rules-Requires-Root: no
 Homepage: https://rednotebook.app
 Vcs-Git: https://github.com/jendrikseipp/rednotebook.git

## rednotebook 2.29.3+ds

=== debian/changelog ===
rednotebook (2.29.3+ds-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Phil Wyett <philip.wyett@kathenas.org>  Sun, 22 Jan 2023 17:47:38 +0000

rednotebook (2.29.3+ds-1) unstable; urgency=medium

  * New upstream release 2.29.3. 

 -- Phil Wyett <philip.wyett@kathenas.org>  Tue, 17 Jan 2023 10:01:58 +0000

rednotebook (2.29.2+ds-1) unstable; urgency=medium

  * New upstream release 2.29.2.

 -- Phil Wyett <philip.wyett@kathenas.org>  Fri, 13 Jan 2023 05:28:13 +0000

rednotebook (2.29.1+ds-1) unstable; urgency=medium

  * New upstream release 2.29.1.
  * Add gettext Build-Depends.
  * Update debian/copyright.

 -- Phil Wyett <philip.wyett@kathenas.org>  Thu, 12 Jan 2023 13:51:11 +0000

rednotebook (2.29+ds-1) unstable; urgency=medium

  * New upstream release 2.29.

 -- Phil Wyett <philip.wyett@kathenas.org>  Sat, 31 Dec 2022 13:56:48 +0000

rednotebook (2.28.1+ds-1) unstable; urgency=medium

  * New upstream release 2.28.1.
  * Update standards-version to 4.6.2.0 - No changes required.

 -- Phil Wyett <philip.wyett@kathenas.org>  Fri, 30 Dec 2022 07:19:30 +0000

rednotebook (2.27.2+ds-1) unstable; urgency=medium

  * New upstream release 2.27.2.

 -- Phil Wyett <philip.wyett@kathenas.org>  Mon, 19 Dec 2022 06:02:48 +0000

rednotebook (2.27.1+ds-2) unstable; urgency=medium

  * Fix bad edit of gir1.2-gtksource Depends.

 -- Phil Wyett <philip.wyett@kathenas.org>  Mon, 21 Nov 2022 08:45:31 +0000

rednotebook (2.27.1+ds-1) unstable; urgency=medium

  * New upstream release 2.27.1.

 -- Phil Wyett <philip.wyett@kathenas.org>  Sun, 20 Nov 2022 21:13:21 +0000

rednotebook (2.26+ds-1) unstable; urgency=medium

  * New upstream release 2.26.

 -- Phil Wyett <philip.wyett@kathenas.org>  Wed, 28 Sep 2022 09:47:24 +0100

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,15 @@
 Maintainer: Phil Wyett <philip.wyett@kathenas.org>
 Section: text
 Priority: optional
-Standards-Version: 4.6.1.0
+Standards-Version: 4.6.2.0
 Rules-Requires-Root: no
 Homepage: https://rednotebook.app
 Vcs-Git: https://github.com/jendrikseipp/rednotebook.git
 Vcs-Browser: https://github.com/jendrikseipp/rednotebook
 Build-Depends: debhelper-compat (= 13),
+               gettext,
                python3,
+               python3-setuptools,
                dh-python
 
 Package: rednotebook
@@ -18,7 +20,7 @@
          gir1.2-gdkpixbuf-2.0,
          gir1.2-glib-2.0,
          gir1.2-gtk-3.0,
-         gir1.2-gtksource-3.0,
+         gir1.2-gtksource-4,
          gir1.2-pango-1.0,
          gir1.2-webkit2-4.0,
          python3-gi,

## rednotebook 2.29.6+ds

=== win/requirements.txt ===
altgraph==0.17.2
# cefpython3==66.1
distlib==0.3.4
filelock==3.6.0
future==0.18.2
pefile==2021.9.3
platformdirs==2.5.1
pycairo @ file:///C:/gtk/pycairo-1.21.0-cp39-cp39-win_amd64.whl
PyGObject @ file:///C:/gtk/PyGObject-3.42.0-cp39-cp39-win_amd64.whl
pyinstaller==5.0
pyinstaller-hooks-contrib==2022.4
pywin32-ctypes==0.2.0
PyYAML==5.4.1
six==1.16.0
virtualenv==20.14.0

=== debian/changelog ===
rednotebook (2.29.6+ds-2~bpo22.04.1) jammy-backports; urgency=medium

  * Rebuild for jammy backports (LP: #2027961).

 -- Phil Wyett <philip.wyett@kathenas.org>  Mon, 17 Jul 2023 04:55:07 +0100

rednotebook (2.29.6+ds-2) unstable; urgency=medium

  * Allow gir1.2-webkit2-4.1 or gir1.2-webkit2-4.0 runtime dep.

 -- Phil Wyett <philip.wyett@kathenas.org>  Sun, 16 Jul 2023 01:10:26 +0100

rednotebook (2.29.6+ds-1) unstable; urgency=medium

  * New upstream release 2.29.6. 

 -- Phil Wyett <philip.wyett@kathenas.org>  Sun, 11 Jun 2023 11:22:50 +0100

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
          gir1.2-gtk-3.0,
          gir1.2-gtksource-4,
          gir1.2-pango-1.0,
-         gir1.2-webkit2-4.0,
+         gir1.2-webkit2-4.1 | gir1.2-webkit2-4.0,
          python3-gi,
          python3-yaml
 Recommends: python3-enchant

## rednotebook 2.30+ds

=== debian/changelog ===
rednotebook (2.30+ds-2) unstable; urgency=medium

  * Remove generated files in clean target (Closes: #1046202).

 -- Phil Wyett <philip.wyett@kathenas.org>  Mon, 14 Aug 2023 07:23:44 +0100

rednotebook (2.30+ds-1) unstable; urgency=medium

  * New upstream release 2.30.

 -- Phil Wyett <philip.wyett@kathenas.org>  Fri, 11 Aug 2023 07:46:38 +0100

rednotebook (2.29.6+ds-3) unstable; urgency=medium

  * Review and cleanup of package.
  * Update d/upstream/metadata.
  * Remove d/clean.

 -- Phil Wyett <philip.wyett@kathenas.org>  Fri, 28 Jul 2023 03:28:59 +0100

=== debian/watch ===
# See uscan(1) for format.
# Also see: https://wiki.debian.org/debian/watch

# Compulsory line, this is a version 4 file.
version=4

opts="searchmode=plain,repacksuffix=+ds,,dversionmangle=s/\+ds//,repack,compression=gz, \
filenamemangle=s%(?:.*?)?v?@ANY_VERSION@%@PACKAGE@-$1.tar.gz%" \
https://api.github.com/repos/jendrikseipp/rednotebook/releases?per_page=50 \
https://api.github.com/repos/[^/]+/[^/]+/tarball/v?@ANY_VERSION@

## rednotebook 2.31+ds

=== debian/changelog ===
rednotebook (2.31+ds-1) unstable; urgency=medium

  * New upstream release 2.31.

 -- Phil Wyett <philip.wyett@kathenas.org>  Sun, 03 Sep 2023 15:54:15 +0100

## rednotebook 2.32%2Bds

=== debian/changelog ===
rednotebook (2.32+ds-2) unstable; urgency=medium

  * 'd/copyright': Update year in appropriate sections.

 -- Phil Wyett <philip.wyett@kathenas.org>  Sun, 18 Feb 2024 06:58:06 +0000

rednotebook (2.32+ds-1) unstable; urgency=medium

  * New upstream release 2.32.

 -- Phil Wyett <philip.wyett@kathenas.org>  Sun, 18 Feb 2024 04:23:20 +0000

rednotebook (2.31+ds-6) unstable; urgency=medium

  * Correctly close bug from previous release. (Closes: #105962)

 -- Phil Wyett <philip.wyett@kathenas.org>  Fri, 29 Dec 2023 18:37:58 +0000

rednotebook (2.31+ds-5) unstable; urgency=medium

  * Explicitly depend on gir1.2-girepository-2.0. (Closes: ##1059628)
    -  Also explicitly depend on typelibs for Gio-2.0, GObject-2.0, Gdk-3.0
       as part of recomemnded change set from Simon McVittie.

 -- Phil Wyett <philip.wyett@kathenas.org>  Fri, 29 Dec 2023 16:57:35 +0000

rednotebook (2.31+ds-4) unstable; urgency=medium

  * Add patch: 001_use_python3.patch

 -- Phil Wyett <philip.wyett@kathenas.org>  Tue, 05 Dec 2023 19:04:51 +0000

rednotebook (2.31+ds-3) unstable; urgency=medium

  * Remove 'Depends' gir1.2-webkit2-4.0.

 -- Phil Wyett <philip.wyett@kathenas.org>  Sat, 02 Dec 2023 20:06:13 +0000

rednotebook (2.31+ds-2) unstable; urgency=medium

  * Small improvements to d/watch.

 -- Phil Wyett <philip.wyett@kathenas.org>  Wed, 01 Nov 2023 02:21:47 +0000

## rednotebook 2.32+ds

=== debian/control ===
--- 
+++ 
@@ -17,12 +17,16 @@
 Architecture: all
 Depends: ${python3:Depends},
          ${misc:Depends},
+         gir1.2-gdk-3.0,
          gir1.2-gdkpixbuf-2.0,
+         gir1.2-gio-2.0,
+         gir1.2-girepository-2.0,
          gir1.2-glib-2.0,
+         gir1.2-gobject-2.0,
          gir1.2-gtk-3.0,
          gir1.2-gtksource-4,
          gir1.2-pango-1.0,
-         gir1.2-webkit2-4.1 | gir1.2-webkit2-4.0,
+         gir1.2-webkit2-4.1,
          python3-gi,
          python3-yaml
 Recommends: python3-enchant

## rednotebook 2.33+ds

=== debian/changelog ===
rednotebook (2.33+ds-1) unstable; urgency=medium

  * New upstream release 2.33.
  * 'd/control': Update standards-version to 4.7.0 - No changes required.

 -- Phil Wyett <philip.wyett@kathenas.org>  Fri, 10 May 2024 22:02:40 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Phil Wyett <philip.wyett@kathenas.org>
 Section: text
 Priority: optional
-Standards-Version: 4.6.2.0
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://rednotebook.app
 Vcs-Git: https://github.com/jendrikseipp/rednotebook.git

## rednotebook 2.34+ds

=== debian/changelog ===
rednotebook (2.34+ds-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Phil Wyett <philip.wyett@kathenas.org>  Tue, 24 Sep 2024 09:17:14 +0100

rednotebook (2.34+ds-1) unstable; urgency=medium

  * New upstream version, 2.34.

 -- Phil Wyett <philip.wyett@kathenas.org>  Wed, 18 Sep 2024 20:05:00 +0100

rednotebook (2.33+ds-2) unstable; urgency=medium

  * 'd/control': add Vcs fields, now on Salsa.
  * 'd/patches/001_use_python3.patch'
    - Add DEP3 description.
    - Quilt refresh patches.

 -- Phil Wyett <philip.wyett@kathenas.org>  Wed, 18 Sep 2024 10:26:39 +0100

## rednotebook 2.35+ds

=== debian/changelog ===
rednotebook (2.35+ds-2) unstable; urgency=medium

  * Cleanup formatting of files in 'debian' directory.

 -- Phil Wyett <philip.wyett@kathenas.org>  Sun, 06 Oct 2024 07:40:50 +0100

rednotebook (2.35+ds-1) unstable; urgency=medium

  * New upstream version, 2.35.
  * 'd/copyright': Add two missing files.

 -- Phil Wyett <philip.wyett@kathenas.org>  Tue, 24 Sep 2024 11:17:10 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://rednotebook.app
-Vcs-Git: https://github.com/jendrikseipp/rednotebook.git
-Vcs-Browser: https://github.com/jendrikseipp/rednotebook
+Vcs-Git: https://salsa.debian.org/debian/rednotebook.git
+Vcs-Browser: https://salsa.debian.org/debian/rednotebook
 Build-Depends: debhelper-compat (= 13),
                gettext,
                python3,
